if ?cc/inline
then
	put /local/cc/inline {inline}
end

print [`
#ifndef CAMV_CENTRAL_CONFIG_H
#define CAMV_CENTRAL_CONFIG_H

#define RND_APP_PREFIX(x) camv_ ## x

/****************************************************************************/
/* Paths */

#ifdef RND_WANT_FLOATING_FHS
#	define CAMV_PREFIX rnd_w32_root
#	define CAMVSHAREDIR rnd_w32_sharedir
#	define CAMVLIBDIR rnd_w32_libdir
#	define BINDIR rnd_w32_bindir
#	define CAMVCONFDIR camv_floating_confdir
extern char *camv_floating_confdir;
#else
#	define CAMV_PREFIX "/usr/local"
#	define CAMVSHAREDIR CAMV_PREFIX "/share/camv-rnd"
#	define CAMVLIBDIR CAMV_PREFIX "/lib/camv-rnd"
#	define BINDIR CAMV_PREFIX "/bin"
#	define CAMVCONFDIR CAMV_PREFIX "/etc/camv-rnd"
#endif
`]

print [@

/* Relative path from bindir to exec_prefix */
#define BINDIR_TO_EXECPREFIX ".."

#include <librnd/config.h>

/* the dot-dir: where to save user config under ther user's home; it's used
   as ~/DOT_CAMV_RND/ */
#define DOT_CAMV_RND "@/local/camv/dot_camv_rnd@"

#define LIBRND_PREFIX "/usr/local"
#define CONFDIR       CAMVCONFDIR
#define LIBDIR        CAMVLIBDIR
#define SHAREDIR      CAMVSHAREDIR
#define CAMV_VERS     "@/local/version@"
#define CAMV_REV      "@/local/revision@"



#endif
@]
